Create a new variant of an existing spot

Prev Next
Post
/v{version}/Spots/{spotId}/CreateVariant

The existing spot must allow creation of variant. The parameters playerId and locationId are mutually exclusive.

Security
API Key: api_key
Header parameter nameX-ApiKey

Api Key

API Key: session_id
Header parameter nameX-Session-Id

Session Id

Path parameters
spotId
integer (int32) Required

Unique ID of the spot

version
stringRequired

The requested API version

Body parameters

Change request that contains information to create a new spot variant

object

Request for creating new spot variant

LocationId
integer (int32)

Unique ID of location assigned to the new variant If a value is defined, the location is assigned to the new variant. By default, no value is defined and the new variant is visible to all players. The properties PlayerId and LocationId are mutually exclusive.

NewSpotName
string

New name for the variant

PlayerId
integer (int32)

Unique ID of player assigned to the new variant If a value is defined, the player is assigned to the new variant. By default, no value is defined and the new variant is visible to all players. The properties PlayerId and LocationId are mutually exclusive.

SpotGroupId
integer (int32) Required

Unique ID of the spot group in which the new variant is placed

Responses
200

OK

integer (int32)
400

Bad Request

Expand All
object
ValidationErrors
object
property*
Array of string additionalProperties
string
401

Unauthorized

Expand All
object
Id
string
Message
string
Type
string
Values
object
property*
object additionalProperties
403

Forbidden

Expand All
object
Id
string
Message
string
Type
string
Values
object
property*
object additionalProperties
404

Not Found

Expand All
object
Id
string
Message
string
Type
string
Values
object
property*
object additionalProperties
500

Unexpected error

Expand All
object
Id
string
Message
string
Type
string
Values
object
property*
object additionalProperties